0

I'm using Elementary OS 0.4 Loki. I updated my packages a few days ago and since then whenever I use "Files" to open a file I get an error:

Failed to open files Failed to execute child process "xterm" (No such file or directory)

How could I fix this error?

  • I update using sudo apt-get update and sudo apt-get upgrade commands. – Mohammed Farahmand Mar 2 '17 at 18:04
  • What kind of file do you want to open? Do you have the xterm package installed? – lemonslice Mar 2 '17 at 20:47
  • A text file. I don't know if I've any xterm packages installed. How could I check it? – Mohammed Farahmand Mar 3 '17 at 9:29
0

You might want to run sudo apt install xterm in a terminal window and test it again.

On the other hand, you might just want to change the way the file opens (as now it is set to be run with xterm), it depends on the file. You can do this with a right-click on the file you want to open and by selecting the application wanted under the Open with menu.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.